[package]
name = "abdristus"
version = "0.0.0"
description = "Cross-platform password manager built with Tauri and Angular"
authors = ["stopmnenepriyatno"]
license = "MIT"
repository = "https://github.com/stopmnenepriyatno/abdristus"
edition = "2026"
rust-version = "1.94.0"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[lib]
name = "app_lib"
crate-type = ["staticlib", "cdylib", "rlib"]

[build-dependencies]
tauri-build = { version = "2.5.6", features = [] }

[dependencies]
serde_json = "1.0"
serde = { version = "1.0", features = ["derive"] }
log = "0.4"
tauri = { version = "2.10.3", features = [] }
tauri-plugin-log = "2"
argon2 = "0.5.3"
chacha20poly1305 = "0.10.1"
keyring = "3.6.3"
sqlx = { version = "0.8.6", features = ["sqlite", "runtime-tokio-rustls"] }
uuid = { version = "1.22.0", features = ["v4"] }
tokio = { version = "1.50.0", features = ["full"] }
tauri-plugin-global-shortcut = "2.3.1"
